API Reference
New form submission
Fired when a form is submitted.
WEBHOOK
form_submitted
{
"website": {
"id": 123,
"subdomain": "some-subdomain",
"systemDomain": "your-system.subdomain.com",
"domain": "your-primary-domain.com"
},
"contact": {
"id": 123,
"name": "John Doe",
"email": "john@doe.com",
"phone": "+123456789",
"note": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"companyName": "<string>",
"createdOn": 1573240303,
"properties": [
{
"name": "lead_status",
"value": "contacted"
}
],
"tags": [
"tag1",
"tag2"
],
"memberId": 487,
"subscribed": true,
"subscriberLists": [
0,
87647751
]
},
"formName": "Contact Form",
"formValues": [
{
"field": "<string>",
"value": "<string>"
}
]
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Body
application/json
Response
200
Return a 2xx status to acknowledge receipt.
Last modified on September 2, 2026
Was this page helpful?
⌘I
{
"website": {
"id": 123,
"subdomain": "some-subdomain",
"systemDomain": "your-system.subdomain.com",
"domain": "your-primary-domain.com"
},
"contact": {
"id": 123,
"name": "John Doe",
"email": "john@doe.com",
"phone": "+123456789",
"note": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"companyName": "<string>",
"createdOn": 1573240303,
"properties": [
{
"name": "lead_status",
"value": "contacted"
}
],
"tags": [
"tag1",
"tag2"
],
"memberId": 487,
"subscribed": true,
"subscriberLists": [
0,
87647751
]
},
"formName": "Contact Form",
"formValues": [
{
"field": "<string>",
"value": "<string>"
}
]
}
